<?php
/**
 * Add Toman currency to Easy Digital Downloads
 *
 * @author                Ehsaan , HANNANStd
 * @package            	  Iranian_Gateways
 * @subpackage            Toman
 */

/**
 * Add Toman currency for EDD
 *
 * @param                array $currencies Currencies list
 * @return                array
 */
if (!function_exists('irg_add_tomain_currency_bitpay')) {
    add_filter('edd_currencies', 'irg_add_tomain_currency_bitpay');
    function irg_add_tomain_currency_bitpay($currencies)
    {
        $currencies['IRT'] = 'تومان';
        return $currencies;
    }
}

/**
 * Format decimals
 */

if (!function_exists('irg_sanitize_amount_decimals_bitpay')) {
    add_filter('edd_sanitize_amount_decimals', 'irg_sanitize_amount_decimals_bitpay');
    function irg_sanitize_amount_decimals_bitpay($decimals)
    {

        $currency = function_exists('edd_get_currency') ? edd_get_currency() : '';

        global $edd_options;
		
		$_currency = isset($edd_options['currency']) ? $edd_options['currency'] : '';
		
        if ($_currency == 'IRT' || $currency == 'IRT' || $_currency == 'RIAL' || $currency == 'RIAL') {
            return $decimals = 0;
        }

        return $decimals;
    }
}

if (!function_exists('irg_format_amount_decimals_bitpay')) {
    add_filter('edd_format_amount_decimals', 'irg_format_amount_decimals_bitpay');

    function irg_format_amount_decimals_bitpay($decimals)
    {

        $currency = function_exists('edd_get_currency') ? edd_get_currency() : '';

        global $edd_options;

		$_currency = isset($edd_options['currency']) ? $edd_options['currency'] : '';
		
        if ($_currency == 'IRT' || $currency == 'IRT' || $_currency == 'RIAL' || $currency == 'RIAL') {
            return $decimals = 0;
        }

        return $decimals;
    }
}


//
if (!function_exists('toman_postfix_bitpay')) {
    add_filter('edd_irt_currency_filter_after', 'toman_postfix_bitpay', 10, 2);
    function toman_postfix_bitpay($price, $did)
    {
		global $wpp_settings;
					
		if ( function_exists('per_number') && isset( $wpp_settings['edd_prices'] ) && $wpp_settings['edd_prices'] != 'disable' ) {
			$price = per_number($price);
		}
	
        return str_replace('IRT', 'تومان', $price);
    }
}

if (!function_exists('rial_postfix_bitpay')) {
    add_filter('edd_rial_currency_filter_after', 'rial_postfix_bitpay', 10, 2);
    function rial_postfix_bitpay($price, $did)
    {
		global $wpp_settings;
					
		if ( ( $_per_number = function_exists('per_number') ) && isset( $wpp_settings['edd_prices'] ) && $wpp_settings['edd_prices'] != 'disable' ) {
			$price = per_number($price);
		}
		
		if ( ! $_per_number || isset( $wpp_settings['edd_rial_fix'] ) && $wpp_settings['edd_rial_fix'] != 'disable' ) {
			$price = str_replace('RIAL', 'ریال', $price);
		}
		
        return $price;
    }
}